{% extends 'base.html.twig' %}
{% block body %}
    <h1>feeds</h1>
    <div id="nav">
        {% for status in statuses %}
            <span class="nav-item">
                <a href="{{ path('feeds', {status: status}) }}">{{ status | lower }}</a>
            </span>
        {% endfor %}
    </div>
    <table>
        <thead>
            <tr>
                <td>URL</td>
                <td>Preview</td>
                <td>Edit</td>
            </tr>
        </thead>
        <tbody>
        {% for feed in feeds %}
            <tr>
                <td>
                    {{ feed.url }}
                </td>
                <td>
                    <a href="{{ path('feed_preview', {id: feed.id}) }}">Preview</a>
                </td>
                <td>
                    <a href="{{ path('feed_edit', {id: feed.id}) }}">Edit</a>
                </td>
            </tr>
        {% endfor %}
        </tbody>
    </table>
{% endblock %}
{% block javascripts %}
    <script src="{{ asset('feeds.js') }}"></script>
{% endblock %}